Subject: [Extra] Fwd: New Version Notification for draft-ietf-extra-sieve-mailboxid-05.txt

From: "Bron Gondwana" <[email-masked]>
Date: Thu, 19 Nov 2020 11:29:37 +1100

I've just uploaded a new version with the change we agreed upon in yesterday's meeting:

4.2.  <https://www.ietf.org/archive/id/draft-ietf-extra-sieve-mailboxid-05.html#section-4.2>Interaction with "specialuse" extension <https://www.ietf.org/archive/id/draft-ietf-extra-sieve-mailboxid-05.html#name-interaction-with-specialuse>

For servers which also support [!@RFC8579] delivery to special-use mailboxes, it is an error to specify both ":mailboxid" and ":special-use" in the same fileinto command.

Advanced filtering based on both special-use and mailboxid can be built with explicit "specialuse_exists" and "mailboxidexists" tests.

Note to developers of sieve generation tools: it is advisable to use special-use rather than mailboxid when creating rules that are based on a special-use purpose (e.g. delivery directly to the Junk folder based on a header that was added by a scanning agent earlier in the mailflow). 

...

I'm not sure if we need to keep RFC8579 normative here, though I don't think it hurts.  Any other feedback on wording happily received :)

Cheers,

Bron.

----- Original message -----
From: [email-masked]
To: Bron Gondwana <[email-masked]>
Subject: New Version Notification for draft-ietf-extra-sieve-mailboxid-05.txt
Date: Thursday, November 19, 2020 11:26

A new version of I-D, draft-ietf-extra-sieve-mailboxid-05.txt
has been successfully submitted by Bron Gondwana and posted to the
IETF repository.

Name: draft-ietf-extra-sieve-mailboxid
Revision: 05
Title: Sieve Email Filtering: delivery by mailboxid
Document date: 2020-11-19
Group: extra
Pages: 10
URL:            https://www.ietf.org/archive/id/draft-ietf-extra-sieve-mailboxid-05.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-extra-sieve-mailboxid/
Html:           https://www.ietf.org/archive/id/draft-ietf-extra-sieve-mailboxid-05.html
Htmlized:       https://tools.ietf.org/html/draft-ietf-extra-sieve-mailboxid-05
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-extra-sieve-mailboxid-05

Abstract:
   The OBJECTID capability of the IMAP protocol (RFC8474) allows clients
   to identify mailboxes by a unique identifier which survives rename.

   This document extends the Sieve mail filtering language (RFC5228) to
   allow using that same unique identifier as a target for fileinto
   rules, and for testing the existance of mailboxes.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

--
  Bron Gondwana, CEO, Fastmail Pty Ltd
  [email-masked]